RU/2: Forum. Discussion for users and developer OS/2 (eCS). : Ядро OS/4 и ArcaOS


Message list | Post new message | Reply to current | Home Search:
Previous message | Next message
From : AlexT
To : Improver
Subj : Ядро OS/4 и ArcaOS

> С наступающим Новым Годом, RU/2 и команда OS/4!
>
> Решил я что-то опробовать ядро OS/4 в AOS 5.0.1.3, но ничего не вышло -- ругается оно на отсутствие ACPI4.BPD... Нашёл решение в форуме index.php , но патча на ACPI из AOS (версии 3.23.07) нет... Скажите, есть возможность запуститься с новым ядром на AOS, или понадобится откатывать ACPI на старые версии?

Всех с наступающим!

Так и есть, 3.23.01 - это последняя "совместимая" с OS/4 версия acpi.psd
Следующие версии слишком много патчат ядро и добиваться с ними совместимости посчитали нецелесообразным.
Хотя никаких _технических_ причин для выпуска acpi.psd совместимого с OS/4 нет (то что acpi.psd патчит в оригинальном ядре давным давно реализовано в OS/4)

По сему, варианта всего два - или на AOS использовать более старые версии acpi.psd, для которых есть патчи, или вообще не использовать acpi.psd. Сейчас проходит альфа тестирование acpi4.bpd. Это опциональный драйвер, который предоставляет acpi сервис для других компонентов. Получить acpi4.bpd для тестирования можно на канале #os2russian (Пароль: "Не хотите ли черешни?")

Sat 30 Dec 2017 00:29 Mozilla/5.0 (OS/2; Warp 4.5; rv:45.0) Gecko/20100101 Firefox




Programmed by Dmitri Maximovich, Dmitry I. Platonoff, Eugen Kuleshov.
25.09.99 (c) 1999, RU/2. All rights reserved.
Rewritten by Dmitry Ban. All rights ignored.